summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author hollywoodb <hollywoodb@fastmail.fm>2010-05-11 15:03:03 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:03:03 +0200
commitd96e385ad9a7e2f0b7b838e0654073a7b7796744 (patch)
treeaa76498a0a9a329b6edfb2770c685cb53d2fb18f /office
parent54c47f7da188c40405f7cfe870fbb42005cb486f (diff)
downloadslackbuilds-d96e385ad9a7e2f0b7b838e0654073a7b7796744.tar.gz
slackbuilds-d96e385ad9a7e2f0b7b838e0654073a7b7796744.tar.xz
office/kile: Initial import
Diffstat (limited to 'office')
-rw-r--r--office/kile/README14
-rw-r--r--office/kile/doinst.sh3
-rw-r--r--office/kile/kile.SlackBuild65
-rw-r--r--office/kile/kile.info8
-rw-r--r--office/kile/slack-desc7
5 files changed, 97 insertions, 0 deletions
diff --git a/office/kile/README b/office/kile/README
new file mode 100644
index 0000000000..f8836d02f1
--- /dev/null
+++ b/office/kile/README
@@ -0,0 +1,14 @@
+Kile is a user friendly TeX/LaTeX editor for the KDE desktop environment.
+
+To Run Kile, you will be required to have the following components installed on
+your system:
+ K Desktop environment (KDE): KDE is a popular open-source desktop environment.
+ Qt: Qt is a C++ development tool needed to compile Kile.
+ LATEX: a high-quality document typesetting program. Most likely you have (or
+ want) the teTEX package, since you are on a Unix-like system.
+
+Optional packages:
+ KDVI: DVI viewer for KDE.
+ GnuPlot: scientific plotting package.
+ XFig: drawing program for X window.
+
diff --git a/office/kile/doinst.sh b/office/kile/doinst.sh
new file mode 100644
index 0000000000..872c37ab57
--- /dev/null
+++ b/office/kile/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./opt/kde/share/applications >/dev/null 2>&1
+fi
diff --git a/office/kile/kile.SlackBuild b/office/kile/kile.SlackBuild
new file mode 100644
index 0000000000..93b832b1c5
--- /dev/null
+++ b/office/kile/kile.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+## Written by hollywoodb (hollywoodb@fastmail.fm)
+## Package Homepage: http://kile.sourceforge.net/
+
+## Feel free to use, modify, redistribute this script.
+## If you make changes please modify the "Written by"
+## so that I don't recieve emails about a script I
+## did not write. Thanks.
+
+# Modified by the SlackBuilds.org project
+
+# Verify script is being run by root user.
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit
+fi
+
+NAME=kile
+VERSION=1.9.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$NAME
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $NAME-$VERSION
+tar -jxvf $CWD/$NAME-$VERSION.tar.bz2 || exit 1
+cd $NAME-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --disable-debug \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL README TODO doc/TODO \
+ $PKG/usr/doc/$NAME-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/kile/kile.info b/office/kile/kile.info
new file mode 100644
index 0000000000..e7f764de03
--- /dev/null
+++ b/office/kile/kile.info
@@ -0,0 +1,8 @@
+PRGNAM="kile"
+VERSION="1.9.3"
+HOMEPAGE="http://kile.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/kile/kile-1.9.3.tar.bz2"
+MD5SUM="0404b4be7bced7123111c49918130a1f"
+MAINTAINER="hollywoodb"
+EMAIL="hollywoodb@fastmail.fm"
+APPROVED="robw810"
diff --git a/office/kile/slack-desc b/office/kile/slack-desc
new file mode 100644
index 0000000000..36268d7dee
--- /dev/null
+++ b/office/kile/slack-desc
@@ -0,0 +1,7 @@
+kile: kile (TeX/LaTeX editor)
+kile:
+kile: Kile is a user friendly TeX/LaTeX editor for the KDE desktop
+kile: environment.
+kile:
+kile:
+kile: